> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/used-classes/response/docresponse.md).

# DocResponse

Classe herdada de [Doc](broken://pages/7jnqioddfttdlvP3NZ0M).

### Properties:

<table><thead><tr><th width="202.33333333333331">name</th><th width="293" align="center">type</th><th>description</th></tr></thead><tbody><tr><td>open_id</td><td align="center">int</td><td>the sequential number of this document inside your company</td></tr><tr><td>token</td><td align="center">String</td><td>Document token</td></tr><tr><td>status</td><td align="center">String</td><td>Document status: "em-curso", "assinado", "recusado" or "lixeira"</td></tr><tr><td>original_file</td><td align="center">String</td><td>Url of original file saved on amazon</td></tr><tr><td>signed_file</td><td align="center">String</td><td>Signed file url saved on amazon</td></tr><tr><td>created_through</td><td align="center">String</td><td>Where this document was created: "web" or "api"</td></tr><tr><td>extra_docs</td><td align="center">ArrayList&#x3C;<a href="/pages/DaRrUm7xMaLI07I6f9YT">ExtraDocResponse</a>></td><td>Document extra documents list</td></tr><tr><td>deleted</td><td align="center">boolean</td><td>If True, the document has been deleted</td></tr><tr><td>deleted_at</td><td align="center">String</td><td>Date the document was deleted</td></tr><tr><td>created_at</td><td align="center">String</td><td>Date the document was created</td></tr><tr><td>last_update_at</td><td align="center">String</td><td>Last date the document was updated</td></tr><tr><td>template</td><td align="center"><a href="/pages/LzFktcaTyyMaI94Sw8FG">Template</a></td><td>If the document was created by a model, it contains the model token</td></tr><tr><td>answers</td><td align="center">ArrayList&#x3C;<a href="/pages/irMwv4FoMr5K4hrVjY56">Answers</a>></td><td>List of variables and values ​​for creating this document</td></tr><tr><td>auto_reminder</td><td align="center">int</td><td>Number of times this document will notify signers</td></tr><tr><td>signers</td><td align="center">List&#x3C;<a href="/pages/2tgfF6OPg8ILy8jRTj3Q">Signer</a>></td><td>represents the list of signers saved in the document</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/used-classes/response/docresponse.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
